***do file documenting analyses reported in article by J. Rose & C. van der Eijk in 'Societies' titled "The world isn't fair, but shouldn't elections be? Evaluating Prospective Beliefs About the Fairness of Elections and Referenda".

*************************************************************************
*** SECTION 1: SELECTION OF VARIABLES FROM THE BESIP DATA.            ***   
*** THIS REDUCES THE NUMBER OF VARIABLES TO A MORE MANAGEABLE NUMBER  ***  ********************************************************************* ***
*** Data to be used: British Election Study Combined Wave 1-20 Internet Panel, available from UK Data Service at https://beta.ukdataservice.ac.uk/datacatalogue/studies/study?id=8810 (accessed 14 January 2022).
*** The 'keep' command that follows after these comments contains, in succession, variables for the following phenomena:
*** variables about  fairness in elections/referenda:
*** variables about age
*** variables about class
*** variables about education 
*** gender
*** variables about political interest 
*** PID strength
*** variables about trust
*** variables about dutytovote and social pressure to vote 
*** variables about efficacy etc. 
*** L/R
*** government approval 
*** economic conditions 
*** pre-existing likelihood to vote
*** reported electoral participation
*** technical vars
*** religion
*** ethnicity
*** marital status etc 
*** housing (owning/renting)
*** working status
*** gross hh income
*** disability 
*** newspaper (p_ variable) 
*** intended/reported GE party choice 
     
#delimit ;
keep expectGoodConductScotRefW2 expectGoodConductGeneralW2 goodConductScotRefW3 expectGoodConductEURefW7 goodConductEURefW9 goodConductEURefW10 goodConductEURefW11 expectGoodConductGeneralW11 goodConductGeneralW13 goodConductEURefW15 expectGoodConductGeneralW17 expectGoodConductGeneralW19 
ageW1 ageW7 ageW8 ageW9 ageW11 ageW12 ageW13 ageW14 ageW16 ageW17 ageW18 ageW19 ageW20 ageW2 ageW3 ageW4 ageW5 ageW6 ageW10 ageW15 ageGroup Age
forcedSubjClassW14 subjClassW15 subjClassW16 subjClassW17 subjClassW19 subjClassSqueezeW19 subjClassW20 subjClassW2_W4W7W9 subjClassW10W11 subjClassW12W14  p_socgradeW1 p_socgradeW2 p_socgradeW3 p_socgradeW4 p_socgradeW5 p_socgradeW6 p_socgradeW7 p_socgradeW8 p_socgradeW9 p_socgradeW10 p_socgradeW11 p_socgradeW12 p_socgradeW13 p_socgradeW14 p_socgradeW15 p_socgradeW16 p_socgradeW17 p_socgradeW18 p_socgradeW19 p_socgradeW20
p_education_ageW1 p_educationW1 p_education_ageW2 p_educationW2 p_education_ageW3 p_educationW3 p_education_ageW4 p_educationW4 p_education_ageW5 p_educationW5 p_education_ageW6 p_educationW6 p_education_ageW7 p_educationW7 p_education_ageW8 p_educationW8 p_education_ageW9 p_educationW9 p_education_ageW10 p_educationW10 p_education_ageW11 p_educationW11 p_education_ageW12 p_educationW12 p_education_ageW13 p_educationW13 p_education_ageW14 p_educationW14 p_education_ageW15 p_educationW15 p_education_ageW16 p_educationW16 p_education_ageW17 p_educationW17 p_education_ageW18 p_educationW18 p_education_ageW19 p_educationW19 p_education_ageW20 p_educationW20 p_edlevelW1 p_edlevelW2 p_edlevelW3 p_edlevelW4 p_edlevelW5 p_edlevelW6 p_edlevelW7 p_edlevelW8 p_edlevelW9 p_edlevelW10 p_edlevelW11 p_edlevelW12 p_edlevelW13 p_edlevelW14 p_edlevelW15 p_edlevelW16 p_edlevelW17 p_edlevelW18 p_edlevelW19 p_edlevelW20 p_edlevelUniW7 p_edlevelUniW9 p_edlevelUniW10 p_edlevelUniW11 p_edlevelUniW12 p_edlevelUniW13 p_edlevelUniW14 p_edlevelUniW15 p_edlevelUniW16 p_edlevelUniW19 p_edlevelUniW20 p_edlevelUniW8 p_edlevelUniW17 p_edlevelUniW18
gender
electionInterestW4 electionInterestW5 electionInterestW6 euRefInterestW7 euRefInterestW8 electionInterestW11 electionInterestW12 electionInterestW13 electionInterestW17 electionInterestW18     polAttentionW1 polAttentionW2 polAttentionW3 polAttentionW4 polAttentionW6 polAttentionW7 polAttentionW8 polAttentionW10 polAttentionW11 polAttentionpdlW12 polAttentionW13 polAttentionW14 polAttentionW15 polAttentionW16 polAttentionW17 polAttentionW19 polAttentionW20 
partyIdStrengthW1 partyIdStrengthW2 partyIdStrengthW3 partyIdStrengthW4 partyIdStrengthW6 partyIdStrengthW7 partyIdStrengthW8 partyIdStrengthW9 partyIdStrengthW10 partyIdStrengthW11 partyIdStrengthW12 partyIdStrengthW13 partyIdStrengthW14 partyIdStrengthW15 partyIdStrengthTIGW15 partyIdStrengthW16 partyIdStrengthW17 partyIdStrengthW18 partyIdStrengthW19 partyIdStrengthW20
trustMPsW1 trustMPsW2 trustMPsW3 trustMPsW4 trustMPsW6 trustMPsW7 trustMPsW8 trustMPsW9 trustMPsW10 trustMPsW12 trustMPsW15 trustMPsW16 trustMPsW17 trustMPsW18 trustMPsW19 trustMPsW20
dutyToVote2W1 dutyToVote2W2 dutyToVote2W3 dutyToVote2W4 dutyToVote2W6 dutyToVote2W7 dutyToVote2W8 dutyLongW11 dutyStrongW11 dutyToVote2W12 dutyToVote2W14 dutyToVote2W15 dutyToVote2W17 dutyToVote2W18
socialPressureVoteW1 socialPressureVoteW2 socialPressureVoteW3 socialPressureVoteW4 socialPressureVoteW6 socialPressureVoteW7 socialPressureVoteW8 socialPressureVoteW12 socialPressureVoteW18
efficacyUnderstandW1 efficacyTooMuchEffortW1 efficacyNotUnderstandW1 efficacyPolCareW1 efficacyUnderstandW2 efficacyTooMuchEffortW2 efficacyNotUnderstandW2 efficacyPolCareW2 efficacyVoteEffortW2 efficacyEnjoyVoteW2 efficacyUnderstandW3 efficacyTooMuchEffortW3 efficacyNotUnderstandW3 efficacyPolCareW3 efficacyUnderstandW4 efficacyTooMuchEffortW4 efficacyNotUnderstandW4 efficacyPolCareW4 efficacyVoteEffortW4 efficacyEnjoyVoteW4 efficacyNoMatterW4 efficacyUnderstandW6 efficacyTooMuchEffortW6 efficacyNotUnderstandW6 efficacyPolCareW6 efficacyVoteEffortW6 efficacyEnjoyVoteW6 efficacyNoMatterW6 efficacyUnderstandW7 efficacyTooMuchEffortW7 efficacyNotUnderstandW7 efficacyPolCareW7 efficacyNoMatterW7 efficacyUnderstandW8 efficacyPolCareW8 efficacyEUW8 efficacyTooMuchEffortW8 efficacyNotUnderstandW8 efficacyNoMatterW8 efficacyUnderstandW9 efficacyTooMuchEffortW9 efficacyNotUnderstandW9 efficacyPolCareW9 efficacyNoMatterW9 efficacyUnderstandW10 efficacyTooMuchEffortW10 efficacyNotUnderstandW10 efficacyPolCareW10 efficacyNoMatterW10 efficacyUnderstandW11 efficacyTooMuchEffortW11 efficacyNotUnderstandW11 efficacyPolCareW11 efficacyNoMatterW11 efficacyVoteEffortW11 efficacyUnderstandW15 efficacyTooMuchEffortW15 efficacyNotUnderstandW15 efficacyPolCareW15 efficacyNoMatterW15 efficacyUnderstandW16 efficacyTooMuchEffortW16 efficacyNotUnderstandW16 efficacyPolCareW16 efficacyNoMatterW16 efficacyUnderstandW17 efficacyTooMuchEffortW17 efficacyNotUnderstandW17 efficacyPolCareW17 efficacyNoMatterW17
leftRightW1 leftRightW2 leftRightW3 leftRightW4 leftRightW5 leftRightW6 leftRightW7 leftRightW8 leftRightW9 leftRightW10 leftRightW11 leftRightW12 leftRightW13 leftRightW14 leftRightW15 leftRightW16 leftRightW17 leftRightW18 leftRightW19 leftRightW20
approveUKGovtW1 approveScotGovtW1 approveWelshGovtW1 approveUKGovtW2 approveScotGovtW2 approveWelshGovtW2 approveUKGovtW3 approveScotGovtW3 approveWelshGovtW3 approveUKGovtW4 approveScotGovtW4 approveWelshGovtW4 approveUKGovtW7 approveScotGovtW7 approveWelshGovtW7 approveUKGovtW9 approveScotGovtW9 approveWelshGovtW9 approveUKGovtW10 approveScotGovtW10 approveWelshGovtW10 approveUKGovtW11 approveScotGovtW11 approveWelshGovtW11 approveUKGovtW14 approveScotGovtW14 approveWelshGovtW14 approveUKGovtW15 approveScotGovtW15 approveWelshGovtW15 approveUKGovtW16 approveScotGovtW16 approveWelshGovtW16 approveUKGovtW17 approveScotGovtW17 approveWelshGovtW17
riskPovertyW1 riskUnemploymentW1 riskPovertyW2 riskUnemploymentW2 riskPovertyW3 riskUnemploymentW3 riskPovertyW4 riskUnemploymentW4 riskPovertyW6 riskUnemploymentW6 riskPovertyW7 riskUnemploymentW7 riskPovertyW8 riskUnemploymentW8 riskPovertyW9 riskUnemploymentW9 riskPovertyW10 riskUnemploymentW10 riskPovertyW11 riskUnemploymentW11 riskPovertyW14 riskUnemploymentW14 riskPovertyW15 riskUnemploymentW15 riskPovertyW16 riskUnemploymentW16 riskPovertyW17 riskUnemploymentW17 riskPovertyW20 riskUnemploymentW20
goodTimePurchaseW1 econPersonalRetroW1 econGenRetroW1 goodTimePurchaseW2 econPersonalRetroW2 econGenRetroW2 goodTimePurchaseW3 econPersonalRetroW3 econGenRetroW3 goodTimePurchaseW4 econPersonalRetroW4 econGenRetroW4 goodTimePurchaseW6 econPersonalRetroW6 econGenRetroW6 goodTimePurchaseW7 econPersonalRetroW7 econGenRetroW7 goodTimePurchaseW8 econPersonalRetroW8 econGenRetroW8 goodTimePurchaseW9 goodTimePurchaseW10 econPersonalRetroW10 econGenRetroW10 goodTimePurchaseW11 econPersonalRetroW11 econGenRetroW11 econPersonalRetroW12 econGenRetroW12 econPersonalRetroW13 econGenRetroW13 goodTimePurchaseW14 econPersonalRetroW14 econGenRetroW14 goodTimePurchaseW15 econPersonalRetroW15 econGenRetroW15 goodTimePurchaseW16 econPersonalRetroW16 econGenRetroW16 goodTimePurchaseW17 econPersonalRetroW17 econGenRetroW17 goodTimePurchaseW20 econPersonalRetroW20 econGenRetroW20
turnoutUKGeneralW1 turnoutUKGeneralW2 turnoutUKGeneralW3 turnoutUKGeneralW4 turnoutUKGeneralW5 turnoutUKGeneralW7 turnoutUKGeneralW8 turnoutUKGeneralW9 turnoutUKGeneralW10 turnoutUKGeneralW11 turnoutUKGeneralW12 turnoutUKGeneralW14 turnoutUKGeneralW15 turnoutUKGeneralW16 turnoutUKGeneralW17 turnoutUKGeneralW18 turnoutUKGeneralW20
scotReferendumRetroW3 genElecTurnoutRetroW6 genElecTurnoutRetroW13 genElecTurnoutRetroW19 euRefTurnoutRetroW9
id wave1 wave2 wave3 wave4 wave5 wave6 wave7 wave8 wave9 wave10 wave11 wave12 wave13 wave14 wave15 wave16 wave17 wave18 wave19 wave20
p_religionW1 p_religionW2 p_religionW3 p_religionW4 p_religionW5 p_religionW6 p_religionW7 p_religionW8 p_religionW9 p_religionW10 p_religionW11 p_religionW12 p_religionW13 p_religionW14 p_religionW15 p_religionW16 p_religionW17 p_religionW18 p_religionW19 p_religionW20
p_ethnicityW1 p_ethnicityW2 p_ethnicityW3 p_ethnicityW4 p_ethnicityW5 p_ethnicityW6 p_ethnicityW7 p_ethnicityW8 p_ethnicityW9 p_ethnicityW10 p_ethnicityW11 p_ethnicityW12 p_ethnicityW13 p_ethnicityW14 p_ethnicityW15 p_ethnicityW16 p_ethnicityW17 p_ethnicityW18 p_ethnicityW19 p_ethnicityW20
p_maritalW1 p_maritalW2 p_maritalW3 p_maritalW4 p_maritalW5 p_maritalW6 p_maritalW7 p_maritalW8 p_maritalW9 p_maritalW10 p_maritalW11 p_maritalW12 p_maritalW13 p_maritalW14 p_maritalW15 p_maritalW16 p_maritalW17 p_maritalW18 p_maritalW19 p_maritalW20
p_housingW1 p_housingW2 p_housingW3 p_housingW4 p_housingW5 p_housingW6 p_housingW7 p_housingW8 p_housingW9 p_housingW10 p_housingW11 p_housingW12 p_housingW13 p_housingW14 p_housingW15 p_housingW16 p_housingW17 p_housingW18 p_housingW19 p_housingW20
p_work_statW1 p_work_statW2 p_work_statW3 p_work_statW4 p_work_statW5 p_work_statW6 p_work_statW7 p_work_statW8 p_work_statW9 p_work_statW10 p_work_statW11 p_work_statW12 p_work_statW13 p_work_statW14 p_work_statW15 p_work_statW16 p_work_statW17 p_work_statW18 p_work_statW19 p_work_statW20
p_gross_householdW1 p_gross_householdW2 p_gross_householdW3 p_gross_householdW4 p_gross_householdW5 p_gross_householdW6 p_gross_householdW7 p_gross_householdW8 p_gross_householdW9 p_gross_householdW10 p_gross_householdW11 p_gross_householdW12 p_gross_householdW13 p_gross_householdW14 p_gross_householdW15 p_gross_householdW16 p_gross_householdW17 p_gross_householdW18 p_gross_householdW19 p_gross_householdW20
p_disabilityW1 p_disabilityW2 p_disabilityW3 p_disabilityW4 p_disabilityW5 p_disabilityW6 p_disabilityW7 p_disabilityW8 p_disabilityW9 p_disabilityW10 p_disabilityW11 p_disabilityW12 p_disabilityW13 p_disabilityW14 p_disabilityW15 p_disabilityW16 p_disabilityW17 p_disabilityW18 p_disabilityW19 p_disabilityW20
p_paper_readW1 p_paper_readW2 p_paper_readW3 p_paper_readW4 p_paper_readW5 p_paper_readW6 p_paper_readW7 p_paper_readW8 p_paper_readW9 p_paper_readW10 p_paper_readW11 p_paper_readW12 p_paper_readW13 p_paper_readW14 p_paper_readW15 p_paper_readW16 p_paper_readW17 p_paper_readW18 p_paper_readW19 p_paper_readW20
generalElectionVoteW1 generalElectionVoteW2 generalElectionVoteW3 generalElectionVoteW4 generalElectionVoteW5 generalElectionVoteW6 generalElectionVoteW7 generalElectionVoteW8 generalElectionVoteW9 generalElectionVoteW10 generalElectionVoteW11 generalElectionVoteW12 generalElectionVoteW13 generalElectionVoteW14 generalElectionVoteW15 generalElectionVoteW16 generalElectionVoteW17 generalElectionVoteW18 generalElectionVoteW19 generalElectionVoteW20
;

#delimit cr

*** this reduces the file to 651 variables. 

*****************************************************
SECTION 2: DECLARATION OF MISSINGS, AND RECODES   ***
*****************************************************
mvdecode  scotReferendumRetroW3, mv(2 9999=.a)

mvdecode ageW1 ageW7 ageW8 ageW9 ageW11 ageW12 ageW13 ageW14 ageW16 ageW17 ageW18 ageW19 ageW20 ageW2 ageW3 ageW4 ageW5 ageW6 ageW10 ageW15, mv(0/14=.a)

mvdecode ageW1 ageW7 ageW8 ageW9 ageW11 ageW12 ageW13 ageW14 ageW16 ageW17 ageW18 ageW19 ageW20 ageW2 ageW3 ageW4 ageW5 ageW6 ageW10 ageW15, mv(100/199=.a)

mvdecode p_socgradeW1 p_socgradeW2 p_socgradeW3 p_socgradeW4 p_socgradeW5 p_socgradeW6 p_socgradeW7 p_socgradeW8 p_socgradeW9 p_socgradeW10 p_socgradeW11 p_socgradeW12 p_socgradeW13 p_socgradeW14 p_socgradeW15 p_socgradeW16 p_socgradeW17 p_socgradeW18 p_socgradeW19 p_socgradeW20, mv(8=.a)

mvdecode p_religionW1 p_religionW2 p_religionW3 p_religionW4 p_religionW5 p_religionW6 p_religionW7 p_religionW8 p_religionW9 p_religionW10 p_religionW11 p_religionW12 p_religionW13 p_religionW14 p_religionW15 p_religionW16 p_religionW17 p_religionW18 p_religionW19 p_religionW20, mv(16=.a) 

mvdecode p_housingW1 p_housingW2 p_housingW3 p_housingW4 p_housingW5 p_housingW6 p_housingW7 p_housingW8 p_housingW9 p_housingW10 p_housingW11 p_housingW12 p_housingW13 p_housingW14 p_housingW15 p_housingW16 p_housingW17 p_housingW18 p_housingW19 p_housingW20, mv(9=.a)

mvdecode expectGoodConductScotRefW2, mv(9999=.a)

mvdecode partyIdStrengthW1 partyIdStrengthW2 partyIdStrengthW3 partyIdStrengthW4 partyIdStrengthW6 partyIdStrengthW7 partyIdStrengthW8 partyIdStrengthW9 partyIdStrengthW10 partyIdStrengthW11 partyIdStrengthW12 partyIdStrengthW13 partyIdStrengthW14 partyIdStrengthW15 partyIdStrengthW16 partyIdStrengthW17 partyIdStrengthW18 partyIdStrengthW19 partyIdStrengthW20, mv(9999=.a)

mvdecode dutyToVote2W1 dutyToVote2W2 dutyToVote2W3 dutyToVote2W4 dutyToVote2W6 dutyToVote2W7 dutyToVote2W8 dutyToVote2W12 dutyToVote2W14 dutyToVote2W15 dutyToVote2W17 dutyToVote2W18 , mv(9999=.a)

mvdecode socialPressureVoteW1 socialPressureVoteW2 socialPressureVoteW3 socialPressureVoteW4 socialPressureVoteW6 socialPressureVoteW7 socialPressureVoteW8 socialPressureVoteW12 socialPressureVoteW18, mv(9999=.a)

mvdecode efficacyNotUnderstandW1 efficacyNotUnderstandW2 efficacyNotUnderstandW3 efficacyNotUnderstandW4 efficacyNotUnderstandW6 efficacyNotUnderstandW7 efficacyNotUnderstandW8 efficacyNotUnderstandW9 efficacyNotUnderstandW10 efficacyNotUnderstandW11 efficacyNotUnderstandW15 efficacyNotUnderstandW16 efficacyNotUnderstandW17, mv(9999=.a)

mvdecode leftRightW1 leftRightW2 leftRightW3 leftRightW4 leftRightW5 leftRightW6 leftRightW7 leftRightW8 leftRightW9 leftRightW10 leftRightW11 leftRightW12 leftRightW13 leftRightW14 leftRightW15 leftRightW16 leftRightW17 leftRightW18 leftRightW19 leftRightW20, mv(9999=.a)

mvdecode riskPovertyW1 riskPovertyW2 riskPovertyW3 riskPovertyW4 riskPovertyW6 riskPovertyW7 riskPovertyW8 riskPovertyW9 riskPovertyW10 riskPovertyW11 riskPovertyW14 riskPovertyW15 riskPovertyW16 riskPovertyW17 riskPovertyW20 riskUnemploymentW1 riskUnemploymentW2 riskUnemploymentW3 riskUnemploymentW4 riskUnemploymentW6 riskUnemploymentW7 riskUnemploymentW8 riskUnemploymentW9 riskUnemploymentW10 riskUnemploymentW11 riskUnemploymentW14 riskUnemploymentW15 riskUnemploymentW16 riskUnemploymentW17 riskUnemploymentW20 goodTimePurchaseW1 goodTimePurchaseW2 goodTimePurchaseW3 goodTimePurchaseW4 goodTimePurchaseW6 goodTimePurchaseW7 goodTimePurchaseW8 goodTimePurchaseW9 goodTimePurchaseW10 goodTimePurchaseW11 goodTimePurchaseW14 goodTimePurchaseW15 goodTimePurchaseW16 goodTimePurchaseW17 goodTimePurchaseW20, mv(9999=.a)

mvdecode turnoutUKGeneralW1 turnoutUKGeneralW2 turnoutUKGeneralW3 turnoutUKGeneralW4 turnoutUKGeneralW5 turnoutUKGeneralW7 turnoutUKGeneralW8 turnoutUKGeneralW9 turnoutUKGeneralW10 turnoutUKGeneralW11 turnoutUKGeneralW12 turnoutUKGeneralW14 turnoutUKGeneralW15 turnoutUKGeneralW16 turnoutUKGeneralW17 turnoutUKGeneralW18 turnoutUKGeneralW20, mv(9999=.a)

mvdecode expectGoodConductGeneralW2 expectGoodConductEURefW7 expectGoodConductGeneralW11 expectGoodConductGeneralW17, mv(9999=.a)

mvdecode goodConductScotRefW3  goodConductEURefW9 goodConductEURefW10   goodConductEURefW11  goodConductGeneralW13  goodConductEURefW15 expectGoodConductGeneralW19 , mv(9999=.a)

mvdecode p_gross_householdW1 p_gross_householdW2 p_gross_householdW3 p_gross_householdW4 p_gross_householdW5 p_gross_householdW6 p_gross_householdW7 p_gross_householdW8 p_gross_householdW9 p_gross_householdW10 p_gross_householdW11 p_gross_householdW12 p_gross_householdW13 p_gross_householdW14 p_gross_householdW15 p_gross_householdW16 p_gross_householdW17 p_gross_householdW18 p_gross_householdW19 p_gross_householdW20, mv(17=.a)

mvdecode p_work_statW1 p_work_statW2 p_work_statW3 p_work_statW4 p_work_statW5 p_work_statW6 p_work_statW7 p_work_statW8 p_work_statW9 p_work_statW10 p_work_statW11 p_work_statW12 p_work_statW13 p_work_statW14 p_work_statW15 p_work_statW16 p_work_statW17 p_work_statW18 p_work_statW19 p_work_statW20, mv (8=.a) 

mvdecode p_ethnicityW1 p_ethnicityW2 p_ethnicityW3 p_ethnicityW4 p_ethnicityW5 p_ethnicityW6 p_ethnicityW7 p_ethnicityW8 p_ethnicityW9 p_ethnicityW10 p_ethnicityW11 p_ethnicityW12 p_ethnicityW13 p_ethnicityW14 p_ethnicityW15 p_ethnicityW16 p_ethnicityW17 p_ethnicityW18 p_ethnicityW19 p_ethnicityW20, mv(16=.a)

mvdecode efficacyUnderstandW1 efficacyTooMuchEffortW1 efficacyNotUnderstandW1 efficacyPolCareW1 efficacyUnderstandW2 efficacyTooMuchEffortW2 efficacyNotUnderstandW2 efficacyPolCareW2 efficacyVoteEffortW2 efficacyEnjoyVoteW2 efficacyUnderstandW3 efficacyTooMuchEffortW3 efficacyNotUnderstandW3 efficacyPolCareW3 efficacyUnderstandW4 efficacyTooMuchEffortW4 efficacyNotUnderstandW4 efficacyPolCareW4 efficacyVoteEffortW4 efficacyEnjoyVoteW4 efficacyNoMatterW4 efficacyUnderstandW6 efficacyTooMuchEffortW6 efficacyNotUnderstandW6 efficacyPolCareW6 efficacyVoteEffortW6 efficacyEnjoyVoteW6 efficacyNoMatterW6 efficacyUnderstandW7 efficacyTooMuchEffortW7 efficacyNotUnderstandW7 efficacyPolCareW7 efficacyNoMatterW7 efficacyUnderstandW8 efficacyPolCareW8 efficacyEUW8 efficacyTooMuchEffortW8 efficacyNotUnderstandW8 efficacyNoMatterW8 efficacyUnderstandW9 efficacyTooMuchEffortW9 efficacyNotUnderstandW9 efficacyPolCareW9 efficacyNoMatterW9 efficacyUnderstandW10 efficacyTooMuchEffortW10 efficacyNotUnderstandW10 efficacyPolCareW10 efficacyNoMatterW10 efficacyUnderstandW11 efficacyTooMuchEffortW11 efficacyNotUnderstandW11 efficacyPolCareW11 efficacyNoMatterW11 efficacyVoteEffortW11 efficacyUnderstandW15 efficacyTooMuchEffortW15 efficacyNotUnderstandW15 efficacyPolCareW15 efficacyNoMatterW15 efficacyUnderstandW16 efficacyTooMuchEffortW16 efficacyNotUnderstandW16 efficacyPolCareW16 efficacyNoMatterW16 efficacyUnderstandW17 efficacyTooMuchEffortW17 efficacyNotUnderstandW17 efficacyPolCareW17 efficacyNoMatterW17, mv(9999=.a)

*********************************************************************
SECTION 3: SYNTAX FOR ANALYSES RESULTS REPORTED IN ARTICLE        ***
*********************************************************************

*** replicating Table 1, second statistic in final column (numbers of respondents giving a valid reponse to prospective fairness question)
tab1 expectGoodConductScotRefW2 expectGoodConductGeneralW2 expectGoodConductEURefW7 expectGoodConductGeneralW11 expectGoodConductGeneralW17
*** replicating Table 1, first statistic in final column (numbers of respondents presented with prospective fairness question; these are those
*** with valid responses plus the missings that are coded as '.a')
tab1 expectGoodConductScotRefW2 expectGoodConductGeneralW2 expectGoodConductEURefW7 expectGoodConductGeneralW11 expectGoodConductGeneralW17, m
*** replicating Table 2: use the syntax above.

*** analyses testing unidimensionality of economic risk variables (this uses the external msp routine to be downloaded with ssc)
msp riskPovertyW1 riskUnemploymentW1
msp riskPovertyW2 riskUnemploymentW2
msp riskPovertyW3 riskUnemploymentW3
msp riskPovertyW4 riskUnemploymentW4
msp riskPovertyW6 riskUnemploymentW6
msp riskPovertyW7 riskUnemploymentW7
msp riskPovertyW8 riskUnemploymentW8
msp riskPovertyW9 riskUnemploymentW9
msp riskPovertyW10 riskUnemploymentW10
msp riskPovertyW11 riskUnemploymentW11
msp riskPovertyW14 riskUnemploymentW14
msp riskPovertyW15 riskUnemploymentW15
msp riskPovertyW16 riskUnemploymentW16
msp riskPovertyW17 riskUnemploymentW17
msp riskPovertyW20  riskUnemploymentW20 
*** conclusion: these two variables scale very strongly (H-coefficient of homogeneity is always in excess of 0.49), hence, they can be sensibly combined into an additive score.
*** NB: these analyses can be extended by including also the variable goodTimePurchaseWx (after recoding this variable so that it becomes ordinal, and scored in the same direction as the other two variables). The resulting msp analyses demonstrate that this third item does not reflect the same latent variable as the other two, and should therefore not be included in an overall economic risk score. 
*** Construction of new variables replacing the two separate items about poverty and unemployment risk. 
gen econriskW1 = riskPovertyW1 + riskUnemploymentW1
gen econriskW2 = riskPovertyW2 + riskUnemploymentW2
gen econriskW3 = riskPovertyW3 + riskUnemploymentW3
gen econriskW4 = riskPovertyW4 + riskUnemploymentW4
gen econriskW6 = riskPovertyW6 + riskUnemploymentW6
gen econriskW7 = riskPovertyW7 + riskUnemploymentW7
gen econriskW8 = riskPovertyW8 + riskUnemploymentW8
gen econriskW9 = riskPovertyW9 + riskUnemploymentW9
gen econriskW10 = riskPovertyW10 + riskUnemploymentW10
gen econriskW11 = riskPovertyW11 + riskUnemploymentW11
gen econriskW14 = riskPovertyW14 + riskUnemploymentW14
gen econriskW15 = riskPovertyW15 + riskUnemploymentW15
gen econriskW16 = riskPovertyW16 + riskUnemploymentW16
gen econriskW17 = riskPovertyW17 + riskUnemploymentW17
gen econriskW20 = riskPovertyW20 + riskUnemploymentW20 


*** analyses for selecting variables to be included in the analyses reported in Table 3, followed by the regressions reported in Table 3

*** regression of fairness belief Scottish referendum with all variables that were considered
tab generalElectionVoteW1, generate (choiceW1_)
regress expectGoodConductScotRefW2  ageW2 p_edlevelW2 disabledW2 econriskW2 polAttentionW2 efficacyNotUnderstandW2 partyIdStrengthW2 approveScotGovtW2 trustMPsW2 p_socgradeW2 gender religW2 singleW2 houseownW2 whiteUKW2 paidworkW2 goodTimePurchaseW2 dutyToVote2W2 socialPressureVoteW2    nopaperW2 choiceW1_2 choiceW1_3 choiceW1_4 choiceW1_5 choiceW1_7
*** same regression as reported in Table 3 (hence with exclusion of many of the variables that were originally considered) 
regress expectGoodConductScotRefW2  ageW2 p_edlevelW2 disabledW2 econriskW2 polAttentionW2 efficacyNotUnderstandW2 partyIdStrengthW2 approveScotGovtW2 trustMPsW2 
*** previous regression with exclusion of approval of government and inclusion of vote intention
regress expectGoodConductScotRefW2  ageW2 p_edlevelW2 disabledW2 econriskW2 polAttentionW2 efficacyNotUnderstandW2 partyIdStrengthW2  trustMPsW2 choiceW1_2 choiceW1_3 choiceW1_4 choiceW1_5 choiceW1_7
*** conclusion: this does not affect the (non-)significance coefficients of vote intention and particularly not the one for the SNP. Hence, government approval is not masking partisan effects. 
  
*** regression of fairness beliefs about General Election 2015 with all variables that were considered
regress expectGoodConductGeneralW2  ageW2 p_edlevelW2 disabledW2 econriskW2 polAttentionW2 efficacyNotUnderstandW2 partyIdStrengthW2 approveUKGovtW2 trustMPsW2 p_socgradeW2 gender religW2 singleW2 houseownW2 whiteUKW2 paidworkW2 goodTimePurchaseW2 dutyToVote2W2 socialPressureVoteW2  nopaperW2 choiceW1_2 choiceW1_3 choiceW1_4 choiceW1_5 choiceW1_7
*** same regression as reported in Table 3 (hence with exclusion of many of the variables) 
regress expectGoodConductGeneralW2  ageW2 p_edlevelW2 disabledW2 econriskW2 polAttentionW2 efficacyNotUnderstandW2 partyIdStrengthW2 approveUKGovtW2 trustMPsW2 
*** same as earlier regression with exclusion of govt approval 
regress expectGoodConductGeneralW2  ageW2 p_edlevelW2 disabledW2 econriskW2 polAttentionW2 efficacyNotUnderstandW2 partyIdStrengthW2  trustMPsW2 p_socgradeW2 gender religW2 singleW2 houseownW2 whiteUKW2 paidworkW2 goodTimePurchaseW2 dutyToVote2W2 socialPressureVoteW2   i.generalElectionVoteW1  nopaperW2 
*** conclusion: this does not affect the (non-)significance of the voter intention variables, not even for the Conservatives. Hence, government approval is not masking partisan effects. 

*** regression of fairness beliefs about EU Referendum with all variables that were considered
tab generalElectionVoteW6, generate (choiceW6_)
regress expectGoodConductEURefW7  ageW7 p_edlevelW7 disabledW7 econriskW7 polAttentionW7 efficacyNotUnderstandW7 partyIdStrengthW7 approveUKGovtW7 trustMPsW7 p_socgradeW7 gender religW7 singleW7 houseownW7 whiteUKW7 paidworkW7 goodTimePurchaseW7 dutyToVote2W7 socialPressureVoteW7   nopaperW7 choiceW6_1 choiceW6_2 choiceW6_3 choiceW6_4 choiceW6_6
*** same regression as reported in Table 3 (hence with exclusion of many of the variables) 
regress expectGoodConductEURefW7  ageW7 p_edlevelW7 disabledW7 econriskW7 polAttentionW7 efficacyNotUnderstandW7 partyIdStrengthW7 approveUKGovtW7 trustMPsW7 

*** regression of fairness beliefs about 2017 General Election with all variables that were considered (NB: note that duty to vote and social pressure to vote are not included, because of unavailability in the data)
tab generalElectionVoteW10, generate (choiceW10_)
regress expectGoodConductGeneralW11  ageW11 p_edlevelW11 disabledW11 econriskW11 polAttentionW11 efficacyNotUnderstandW11 partyIdStrengthW11 approveUKGovtW11 trustMPsW10 p_socgradeW11 gender religW11 singleW11 houseownW11 whiteUKW11 paidworkW11 goodTimePurchaseW11 nopaperW11 choiceW10_2 choiceW10_3 choiceW10_4 choiceW10_5 choiceW10_7
*** same regression as reported in Table 3 (hence with exclusion of many of the variables) 
regress expectGoodConductGeneralW11  ageW11 p_edlevelW11 disabledW11 econriskW11 polAttentionW11 efficacyNotUnderstandW11 partyIdStrengthW11 approveUKGovtW11 trustMPsW10 

*** regression of fairness beliefs about 2019 General Election with all variables that were considered (NB social pressure to vote deleted from the equation owing to unavailability in the data) 
tab generalElectionVoteW16, gen (choiceW16_)
regress expectGoodConductGeneralW17  ageW17 p_edlevelW17 disabledW17 econriskW17 polAttentionW17 efficacyNotUnderstandW17 partyIdStrengthW17 approveUKGovtW17 trustMPsW17 p_socgradeW17 gender religW17 singleW17 houseownW17 whiteUKW17 paidworkW17 goodTimePurchaseW17 dutyToVote2W17   nopaperW17 choiceW16_2 choiceW16_3 choiceW16_4 choiceW16_5 choiceW16_11
*** same regression as reported in Table 3 (hence with exclusion of many of the variables) 
regress expectGoodConductGeneralW17  ageW17 p_edlevelW17 disabledW17 econriskW17 polAttentionW17 efficacyNotUnderstandW17 partyIdStrengthW17 approveUKGovtW17 trustMPsW17 


*** analyses for Table 4. to demonstrate that determinants of prospective fairness beliefs are different from determinants of retrospective beliefs. This involves replacing in the regressions above the dependent variable,  using the retrospective instead of the prospective  and leaving all independent variables as they are. These analyses do not cover the 2015 general Election, because no retrospective questions of fairness were asked for this electoral event.  

tab generalElectionVoteW1, generate (choiceW1_)
regress expectGoodConductScotRefW2  ageW2 p_edlevelW2 disabledW2 econriskW2 polAttentionW2 efficacyNotUnderstandW2 partyIdStrengthW2 approveScotGovtW2 trustMPsW2  choiceW1_2 choiceW1_3 choiceW1_4 choiceW1_5 choiceW1_7
regress goodConductScotRefW3  ageW2 p_edlevelW2 disabledW2 econriskW2 polAttentionW2 efficacyNotUnderstandW2 partyIdStrengthW2 approveScotGovtW2 trustMPsW2  choiceW1_2 choiceW1_3 choiceW1_4 choiceW1_5 choiceW1_7

tab generalElectionVoteW6, generate (choiceW6_)
regress expectGoodConductEURefW7  ageW7 p_edlevelW7 disabledW7 econriskW7 polAttentionW7 efficacyNotUnderstandW7 partyIdStrengthW7 approveUKGovtW7 trustMPsW7 choiceW6_1 choiceW6_2 choiceW6_3 choiceW6_4 choiceW6_6
regress goodConductEURefW9  ageW7 p_edlevelW7 disabledW7 econriskW7 polAttentionW7 efficacyNotUnderstandW7 partyIdStrengthW7 approveUKGovtW7 trustMPsW7 choiceW6_1 choiceW6_2 choiceW6_3 choiceW6_4 choiceW6_6

tab generalElectionVoteW10, generate (choiceW10_)
regress expectGoodConductGeneralW11  ageW11 p_edlevelW11 disabledW11 econriskW11 polAttentionW11 efficacyNotUnderstandW11 partyIdStrengthW11 approveUKGovtW11 trustMPsW10 choiceW10_2 choiceW10_3 choiceW10_4 choiceW10_5 choiceW10_7
regress goodConductGeneralW13  ageW11 p_edlevelW11 disabledW11 econriskW11 polAttentionW11 efficacyNotUnderstandW11 partyIdStrengthW11 approveUKGovtW11 trustMPsW10 choiceW10_2 choiceW10_3 choiceW10_4 choiceW10_5 choiceW10_7

tab generalElectionVoteW16, gen (choiceW16_)
regress expectGoodConductGeneralW17  ageW17 p_edlevelW17 disabledW17 econriskW17 polAttentionW17 efficacyNotUnderstandW17 partyIdStrengthW17 approveUKGovtW17 trustMPsW17 choiceW16_2 choiceW16_3 choiceW16_4 choiceW16_5 choiceW16_11
regress expectGoodConductGeneralW19  ageW17 p_edlevelW17 disabledW17 econriskW17 polAttentionW17 efficacyNotUnderstandW17 partyIdStrengthW17 approveUKGovtW17 trustMPsW17 choiceW16_2 choiceW16_3 choiceW16_4 choiceW16_5 choiceW16_11

*** analyses reported in Table 5: relationship between fairness beliefs and turnout. 

tab2 scotReferendumRetroW3 expectGoodConductScotRefW2, co  chi2 V
tab2 genElecTurnoutRetroW6 expectGoodConductGeneralW2, co  chi2 V
tab2 euRefTurnoutRetroW9 expectGoodConductEURefW7, co  chi2 V
tab2 genElecTurnoutRetroW13 expectGoodConductGeneralW11, co  chi2 V 
tab2 genElecTurnoutRetroW19 expectGoodConductGeneralW17, co  chi2 V

*** analysis reported in Table 6: block recursive logistic regression with turnout behaviour as dependent variable, a baseline explanatory model as first block, and then fairness beliefs as a second block. Cases included in the two successive equations (baseline, and baseline+fairness beliefs) are identical because of the 'if' condition in the specification of the second equation

*** for scottish referendum 
logistic scotReferendumRetroW3 ageW3 p_edlevelW3 disabledW3 econriskW3 polAttentionW3 efficacyNotUnderstandW3 partyIdStrengthW3 approveScotGovtW3 trustMPsW3 p_socgradeW3 gender expectGoodConductScotRefW2, coef
estat classification
estat gof
lroc
estat ic
predict prScotRef, pr 
logistic scotReferendumRetroW3 ageW3 p_edlevelW3 disabledW3 econriskW3 polAttentionW3 efficacyNotUnderstandW3 partyIdStrengthW3 approveScotGovtW3 trustMPsW3 p_socgradeW3 gender if prScotRef<2, coef
estat classification
estat gof
lroc
estat ic

*** for 2015 general Election
logistic genElecTurnoutRetroW6  ageW6 p_edlevelW6 disabledW6 econriskW6 polAttentionW6 efficacyNotUnderstandW6 partyIdStrengthW6 approveUKGovtW4 trustMPsW6 p_socgradeW6 gender expectGoodConductGeneralW2, coef
estat classification
estat gof
lroc
estat ic
predict prGE15, pr 
logistic genElecTurnoutRetroW6  ageW6 p_edlevelW6 disabledW6 econriskW6 polAttentionW6 efficacyNotUnderstandW6 partyIdStrengthW6 approveUKGovtW4 trustMPsW6 p_socgradeW6 gender if prGE15 <2, coef
estat classification
estat gof
lroc
estat ic

*** for EU referendum
logistic euRefTurnoutRetroW9  ageW9 p_edlevelW9 disabledW9 econriskW9 polAttentionW8 efficacyNotUnderstandW9 partyIdStrengthW9 approveUKGovtW9 trustMPsW9 p_socgradeW9 gender expectGoodConductEURefW7, coef
estat classification
estat gof
lroc
estat ic
predict prEURef, pr 
logistic euRefTurnoutRetroW9  ageW9 p_edlevelW9 disabledW9 econriskW9 polAttentionW8 efficacyNotUnderstandW9 partyIdStrengthW9 approveUKGovtW9 trustMPsW9 p_socgradeW9 gender if prEURef <2, coef
estat classification
estat gof
lroc
estat ic

*** for 2017 General Election 
logistic  genElecTurnoutRetroW13  ageW13 p_edlevelW13 disabledW13 econriskW11 polAttentionW13 efficacyNotUnderstandW11 partyIdStrengthW13 approveUKGovtW11 trustMPsW12 p_socgradeW13 gender expectGoodConductGeneralW11, coef 
estat classification
estat gof
lroc
estat ic
predict prGE17, pr 
logistic  genElecTurnoutRetroW13  ageW13 p_edlevelW13 disabledW13 econriskW11 polAttentionW13 efficacyNotUnderstandW11 partyIdStrengthW13 approveUKGovtW11 trustMPsW12 p_socgradeW13 gender if prGE17 <2, coef
estat classification
estat gof
lroc
estat ic

*** for 2019 General Election
logistic genElecTurnoutRetroW19  ageW19 p_edlevelW19 disabledW19 econriskW17 polAttentionW19 efficacyNotUnderstandW17 partyIdStrengthW19 approveUKGovtW17 trustMPsW19 p_socgradeW19 gender expectGoodConductGeneralW17, coef 
estat classification
estat gof
lroc
estat ic
predict prGE19, pr 
logistic genElecTurnoutRetroW19  ageW19 p_edlevelW19 disabledW19 econriskW17 polAttentionW19 efficacyNotUnderstandW17 partyIdStrengthW19 approveUKGovtW17 trustMPsW19 p_socgradeW19 gender if prGE19<2, coef 
estat classification
estat gof
lroc
estat ic

*** Analyses reported in Appendix B (this uses the loevh procedure, which is an external Stata module that must be downloaded with the 'ssc' command)
loevh expectGoodConductScotRefW2 expectGoodConductGeneralW2 expectGoodConductEURefW7 expectGoodConductGeneralW11 expectGoodConductGeneralW17, pairwise  

